## yggdrasil 0.4.7

=== contrib/yggdrasil-brute-simple/Makefile ===
.PHONY: all

all: util yggdrasil-brute-multi-curve25519 yggdrasil-brute-multi-ed25519

util: util.c
	gcc -Wall -std=c89 -O3 -c -o util.o util.c

yggdrasil-brute-multi-ed25519: yggdrasil-brute-multi-ed25519.c util.o
	gcc -Wall -std=c89 -O3 -o yggdrasil-brute-multi-ed25519 -lsodium yggdrasil-brute-multi-ed25519.c util.o

yggdrasil-brute-multi-curve25519: yggdrasil-brute-multi-curve25519.c util.o
	gcc -Wall -std=c89 -O3 -o yggdrasil-brute-multi-curve25519 -lsodium yggdrasil-brute-multi-curve25519.c util.o

## yggdrasil 0.4.3

=== debian/changelog ===
yggdrasil (0.4.3-2ubuntu0.22.04.3) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update

 -- Allen Huang <allen.huang@canonical.com>  Fri, 15 Nov 2024 23:30:50 +0000

yggdrasil (0.4.3-2ubuntu0.22.04.2) jammy-security; urgency=medium

  * No change build due to golang-1.18 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Wed, 03 May 2023 14:38:53 +0530

yggdrasil (0.4.3-2ubuntu0.22.04.1) jammy-security; urgency=medium

  * No-change rebuild for golang-golang-x-text

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Tue, 07 Feb 2023 13:19:55 +0100

yggdrasil (0.4.3-2) unstable; urgency=medium

  * No longer use dynamic user.  This has better compatibility
    with running in containers.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 16 Feb 2022 08:43:27 -0600

yggdrasil (0.4.3-1) unstable; urgency=medium

  * New upstream release.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 07 Feb 2022 13:08:36 -0600

yggdrasil (0.4.2-1) unstable; urgency=medium

  * Initial release (Closes: #1003985)

 -- John Goerzen <jgoerzen@complete.org>  Wed, 19 Jan 2022 16:40:48 +0000

=== debian/control ===
Source: yggdrasil
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: John Goerzen <jgoerzen@complete.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-go (>= 1.17),
               golang-github-arceliar-ironwood-dev (>= 0.0~git20210619),
               golang-github-arceliar-phony-dev,
               golang-github-gologme-log-dev,
               golang-github-hashicorp-go-syslog-dev,
               golang-github-hjson-hjson-go-dev,
               golang-github-mitchellh-mapstructure-dev,
               golang-github-vishvananda-netlink-dev,
               golang-golang-x-net-dev,
               golang-golang-x-sys-dev,
               golang-gopkg-cheggaaa-pb.v1-dev,
               golang-golang-x-text-dev,
               golang-golang.zx2c4-wireguard-dev,
               golang-github-kardianos-minwinsvc-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/yggdrasil
Vcs-Git: https://salsa.debian.org/go-team/packages/yggdrasil.git
Homepage: https://github.com/yggdrasil-network/yggdrasil-go
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/yggdrasil-network/yggdrasil-go

Package: yggdrasil
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Fully encrypted global-scale mesh network (program)
 Yggdrasil is an early-stage implementation of a fully end-to-end encrypted
 IPv6 network. It is lightweight, self-arranging, supported on multiple
 platforms and allows pretty much any IPv6-capable application to
 communicate securely with other Yggdrasil nodes. Yggdrasil does not
 require you to have IPv6 Internet connectivity - it also works over IPv4.
 .
 This package contains the executables.

Package: golang-github-yggdrasil-network-yggdrasil-go-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-arceliar-ironwood-dev,
         golang-github-arceliar-phony-dev,
         golang-github-gologme-log-dev,
         golang-github-hashicorp-go-syslog-dev,
         golang-github-hjson-hjson-go-dev,
         golang-github-mitchellh-mapstructure-dev,
         golang-github-vishvananda-netlink-dev,
         golang-golang-x-net-dev,
         golang-golang-x-sys-dev,
         golang-gopkg-cheggaaa-pb.v1-dev,
         golang-golang-x-text-dev,
         golang-golang.zx2c4-wireguard-dev,
         golang-github-kardianos-minwinsvc-dev,
         ${misc:Depends}
Description: Fully encrypted global-scale mesh network (library)
 Yggdrasil is an early-stage implementation of a fully end-to-end encrypted
 IPv6 network. It is lightweight, self-arranging, supported on multiple
 platforms and allows pretty much any IPv6-capable application to
 communicate securely with other Yggdrasil nodes. Yggdrasil does not
 require you to have IPv6 Internet connectivity - it also works over IPv4.
 .
 This package contains the libary for use in other Go programs.

## yggdrasil 0.4.7

=== debian/changelog ===
yggdrasil (0.4.7-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 26 Nov 2022 00:53:45 -5000

yggdrasil (0.4.7-1) unstable; urgency=medium

  * New upstream version 0.4.7.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 21 Nov 2022 06:58:57 -0600

yggdrasil (0.4.6-1) unstable; urgency=medium

  * Import upstream 0.4.6.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 27 Oct 2022 07:16:06 +0000

yggdrasil (0.4.5-1) unstable; urgency=medium

  * New upstream version 0.4.5.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 20 Oct 2022 07:20:46 -0500

yggdrasil (0.4.4-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on golang-go.

  [ John Goerzen ]
  * New upstream version 0.4.4.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 04 Oct 2022 12:41:44 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: yggdrasil
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: John Goerzen <jgoerzen@complete.org>
 Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
-               golang-go (>= 1.17),
-               golang-github-arceliar-ironwood-dev (>= 0.0~git20210619),
+               golang-go (>= 2:1.17~0),
+               golang-github-arceliar-ironwood-dev (>= 0.0~git20221115),
                golang-github-arceliar-phony-dev,
                golang-github-gologme-log-dev,
                golang-github-hashicorp-go-syslog-dev,
@@ -20,7 +19,8 @@
                golang-gopkg-cheggaaa-pb.v1-dev,
                golang-golang-x-text-dev,
                golang-golang.zx2c4-wireguard-dev,
-               golang-github-kardianos-minwinsvc-dev
+               golang-github-kardianos-minwinsvc-dev,
+               golang-github-olekukonko-tablewriter-dev (>= 0.0.5)
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/yggdrasil
 Vcs-Git: https://salsa.debian.org/go-team/packages/yggdrasil.git
@@ -31,7 +31,7 @@
 Package: yggdrasil
 Architecture: any
 Depends: ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends}, adduser
 Built-Using: ${misc:Built-Using}
 Description: Fully encrypted global-scale mesh network (program)
  Yggdrasil is an early-stage implementation of a fully end-to-end encrypted

=== debian/rules ===
#!/usr/bin/make -f

DH_GOLANG_EXCLUDES:=ansible mobile
export DH_GOLANG_EXCLUDES

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-restart-on-upgrade --no-start

override_dh_auto_install:
	cp _build/bin/genkeys _build/bin/yggdrasil-genkeys
	dh_auto_install -- --no-binaries

# dwz generates errors for the go-built executables
override_dh_dwz:
	true

## yggdrasil 0.5.4

=== debian/changelog ===
yggdrasil (0.5.4-3~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 19 Dec 2023 07:35:13 -0600

yggdrasil (0.5.4-3) unstable; urgency=medium

  * Propagate ironwood deps through the system

 -- John Goerzen <jgoerzen@complete.org>  Tue, 12 Dec 2023 07:59:46 -0600

yggdrasil (0.5.4-2) unstable; urgency=high

  * Rebuild with newer ironwood to fix a crashing problem

 -- John Goerzen <jgoerzen@complete.org>  Tue, 12 Dec 2023 07:58:29 -0600

yggdrasil (0.5.4-1) unstable; urgency=medium

  * New upstream bugfix release
  * Apply Spanish debconf translation from Camaleón.  Closes: #1056219.
  * Apply German debconf translation from Christoph Brinkhaus.
    Closes: #1055785.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 28 Nov 2023 10:37:52 +0100

yggdrasil (0.5.2-1) unstable; urgency=medium

  * New upstream release

 -- John Goerzen <jgoerzen@complete.org>  Mon, 06 Nov 2023 17:22:47 -0600

yggdrasil (0.5.1-3) unstable; urgency=medium

  * Add pre-upgrade prompt

 -- John Goerzen <jgoerzen@complete.org>  Fri, 03 Nov 2023 17:07:03 -0500

yggdrasil (0.5.1-2) unstable; urgency=medium

  * Add dependencies to -dev package

 -- John Goerzen <jgoerzen@complete.org>  Thu, 02 Nov 2023 22:11:29 -0500

yggdrasil (0.5.1-1) unstable; urgency=medium

  * New upstream release 0.5.1.  This release is network-incompatible
    with the 0.4.x series.
  * Removed some extraneous lines from the systemd service.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 28 Oct 2023 18:23:45 -0500

yggdrasil (0.4.7-2) unstable; urgency=medium

  * Apply patch from Andres Salomon to correct yggdrasilctl getSelf.
    Closes: #1034737.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 23 Apr 2023 19:53:35 -0500

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,24 @@
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
+               po-debconf,
                dh-golang,
-               golang-go (>= 2:1.17~0),
-               golang-github-arceliar-ironwood-dev (>= 0.0~git20221115),
-               golang-github-arceliar-phony-dev,
+               golang-go (>= 2:1.20~0),
+               golang-github-arceliar-ironwood-dev (>= 0.0~git20231127.465b82d-2~bpo12),
+               golang-github-arceliar-phony-dev (>= 0.0~git20220903),
                golang-github-gologme-log-dev,
                golang-github-hashicorp-go-syslog-dev,
-               golang-github-hjson-hjson-go-dev,
+               golang-github-hjson-hjson-go-dev (>= 4.3.0),
                golang-github-mitchellh-mapstructure-dev,
                golang-github-vishvananda-netlink-dev,
                golang-golang-x-net-dev,
                golang-golang-x-sys-dev,
-               golang-gopkg-cheggaaa-pb.v1-dev,
+               golang-github-cheggaaa-pb.v3-dev,
                golang-golang-x-text-dev,
-               golang-golang.zx2c4-wireguard-dev,
+               golang-golang.zx2c4-wireguard-dev (>= 0.0.20230223),
                golang-github-kardianos-minwinsvc-dev,
-               golang-github-olekukonko-tablewriter-dev (>= 0.0.5)
+               golang-github-lucas-clemente-quic-go-dev (>= 0.37.4),
+               golang-github-olekukonko-tablewriter-dev
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/yggdrasil
 Vcs-Git: https://salsa.debian.org/go-team/packages/yggdrasil.git
@@ -45,19 +47,22 @@
 Package: golang-github-yggdrasil-network-yggdrasil-go-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: golang-github-arceliar-ironwood-dev,
+Depends: golang-github-arceliar-ironwood-dev (>= 0.0~git20231127.465b82d-2~bpo12),
+         golang-github-arceliar-phony-dev (>= 0.0~git20220903),
          golang-github-arceliar-phony-dev,
          golang-github-gologme-log-dev,
          golang-github-hashicorp-go-syslog-dev,
-         golang-github-hjson-hjson-go-dev,
+         golang-github-hjson-hjson-go-dev (>= 4.3.0),
          golang-github-mitchellh-mapstructure-dev,
          golang-github-vishvananda-netlink-dev,
          golang-golang-x-net-dev,
          golang-golang-x-sys-dev,
-         golang-gopkg-cheggaaa-pb.v1-dev,
+         golang-github-cheggaaa-pb.v3-dev,
          golang-golang-x-text-dev,
-         golang-golang.zx2c4-wireguard-dev,
+         golang-golang.zx2c4-wireguard-dev (>= 0.0.20230223),
          golang-github-kardianos-minwinsvc-dev,
+         golang-github-lucas-clemente-quic-go-dev (>= 0.37.4),
+         golang-github-olekukonko-tablewriter-dev,
          ${misc:Depends}
 Description: Fully encrypted global-scale mesh network (library)
  Yggdrasil is an early-stage implementation of a fully end-to-end encrypted

## yggdrasil 0.5.5

=== debian/changelog ===
yggdrasil (0.5.5-2ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 11 Nov 2024 09:47:14 +1000

yggdrasil (0.5.5-2ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 16 Jul 2024 09:48:07 +0530

yggdrasil (0.5.5-2) unstable; urgency=medium

  * Adding new Dutch and French translations.  Closes: #1058633, #1061988.
  * Documented how to require Yggdrasil to start before other daemons.
    Closes: #1024053.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 15 Feb 2024 07:19:35 -0600

yggdrasil (0.5.5-1) unstable; urgency=medium

  * New upstream release

 -- John Goerzen <jgoerzen@complete.org>  Mon, 29 Jan 2024 18:45:49 -0600

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: yggdrasil
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: John Goerzen <jgoerzen@complete.org>
 Section: golang
 Testsuite: autopkgtest-pkg-go
@@ -7,8 +8,8 @@
 Build-Depends: debhelper-compat (= 13),
                po-debconf,
                dh-golang,
-               golang-go (>= 2:1.20~0),
-               golang-github-arceliar-ironwood-dev (>= 0.0~git20231127.465b82d-2~bpo12),
+               golang-go,
+               golang-github-arceliar-ironwood-dev (>= 0.0~git20240115.ddd1fa6-1),
                golang-github-arceliar-phony-dev (>= 0.0~git20220903),
                golang-github-gologme-log-dev,
                golang-github-hashicorp-go-syslog-dev,
@@ -21,7 +22,7 @@
                golang-golang-x-text-dev,
                golang-golang.zx2c4-wireguard-dev (>= 0.0.20230223),
                golang-github-kardianos-minwinsvc-dev,
-               golang-github-lucas-clemente-quic-go-dev (>= 0.37.4),
+               golang-github-lucas-clemente-quic-go-dev,
                golang-github-olekukonko-tablewriter-dev
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/yggdrasil
@@ -47,7 +48,7 @@
 Package: golang-github-yggdrasil-network-yggdrasil-go-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: golang-github-arceliar-ironwood-dev (>= 0.0~git20231127.465b82d-2~bpo12),
+Depends: golang-github-arceliar-ironwood-dev (>= 0.0~git20231127.465b82d-2),
          golang-github-arceliar-phony-dev (>= 0.0~git20220903),
          golang-github-arceliar-phony-dev,
          golang-github-gologme-log-dev,
@@ -61,7 +62,7 @@
          golang-golang-x-text-dev,
          golang-golang.zx2c4-wireguard-dev (>= 0.0.20230223),
          golang-github-kardianos-minwinsvc-dev,
-         golang-github-lucas-clemente-quic-go-dev (>= 0.37.4),
+         golang-github-lucas-clemente-quic-go-dev,
          golang-github-olekukonko-tablewriter-dev,
          ${misc:Depends}
 Description: Fully encrypted global-scale mesh network (library)

## yggdrasil 0.5.6

=== debian/changelog ===
yggdrasil (0.5.6-1ubuntu0.1) oracular-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 04 Jul 2025 12:17:49 +1000

yggdrasil (0.5.6-1) unstable; urgency=medium

  * New upstream release

 -- John Goerzen <jgoerzen@complete.org>  Tue, 23 Jul 2024 05:57:03 -0500

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                po-debconf,
                dh-golang,
                golang-go,
-               golang-github-arceliar-ironwood-dev (>= 0.0~git20240115.ddd1fa6-1),
+               golang-github-arceliar-ironwood-dev (>= 0.0~git20240529.b8e5957),
                golang-github-arceliar-phony-dev (>= 0.0~git20220903),
                golang-github-gologme-log-dev,
                golang-github-hashicorp-go-syslog-dev,
@@ -22,7 +22,7 @@
                golang-golang-x-text-dev,
                golang-golang.zx2c4-wireguard-dev (>= 0.0.20230223),
                golang-github-kardianos-minwinsvc-dev,
-               golang-github-lucas-clemente-quic-go-dev,
+               golang-github-lucas-clemente-quic-go-dev (>= 0.38.2-2),
                golang-github-olekukonko-tablewriter-dev
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/yggdrasil

## yggdrasil 0.5.8

=== debian/changelog ===
yggdrasil (0.5.8-1) unstable; urgency=medium

  * New upstream release
  * Update control dependencies to be versioned per go.mod, with the
    exception of golang-golang-x-sys-dev, which is only at 0.21 in sid
    instead of the desired 0.22.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 26 Aug 2024 05:18:32 -0500

=== debian/control ===
Source: yggdrasil
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: John Goerzen <jgoerzen@complete.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               po-debconf,
               dh-golang,
               golang-go (>= 2:1.21~0),
               golang-github-arceliar-ironwood-dev (>= 0.0~git20240529.b8e5957),
               golang-github-arceliar-phony-dev (>= 0.0~git20220903),
               golang-github-gologme-log-dev (>= 1.3.0),
               golang-github-hashicorp-go-syslog-dev (>= 1.0.0),
               golang-github-hjson-hjson-go-dev (>= 4.4.0),
               golang-github-vishvananda-netlink-dev (>= 1.1.0),
               golang-golang-x-crypto-dev (>= 0.25.0),
               golang-golang-x-net-dev (>= 0.27.0),
               golang-golang-x-sys-dev (>= 0.21.0),
               golang-github-cheggaaa-pb.v3-dev (>= 3.1.5),
               golang-golang-x-text-dev (>= 0.16.0),
               golang-golang.zx2c4-wireguard-dev (>= 0.0.20231211),
               golang-github-kardianos-minwinsvc-dev,
               golang-github-lucas-clemente-quic-go-dev (>= 0.45.1),
               golang-github-olekukonko-tablewriter-dev (>= 0.0.5),
               golang-nhooyr-websocket-dev (>= 1.8.11)
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/yggdrasil
Vcs-Git: https://salsa.debian.org/go-team/packages/yggdrasil.git
Homepage: https://github.com/yggdrasil-network/yggdrasil-go
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/yggdrasil-network/yggdrasil-go

Package: yggdrasil
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}, adduser
Built-Using: ${misc:Built-Using}
Description: Fully encrypted global-scale mesh network (program)
 Yggdrasil is an early-stage implementation of a fully end-to-end encrypted
 IPv6 network. It is lightweight, self-arranging, supported on multiple
 platforms and allows pretty much any IPv6-capable application to
 communicate securely with other Yggdrasil nodes. Yggdrasil does not
 require you to have IPv6 Internet connectivity - it also works over IPv4.
 .
 This package contains the executables.

Package: golang-github-yggdrasil-network-yggdrasil-go-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-arceliar-ironwood-dev (>= 0.0~git20231127.465b82d-2),
         golang-github-arceliar-phony-dev (>= 0.0~git20220903),
         golang-github-gologme-log-dev (>= 1.3.0),
         golang-github-hashicorp-go-syslog-dev (>= 1.0.0),
         golang-github-hjson-hjson-go-dev (>= 4.4.0),
         golang-github-vishvananda-netlink-dev (>= 1.1.0),
         golang-golang-x-crypto-dev (>= 0.25.0),
         golang-golang-x-net-dev (>= 0.27.0),
         golang-golang-x-sys-dev (>= 0.21.0),
         golang-github-cheggaaa-pb.v3-dev (>= 3.1.5),
         golang-golang-x-text-dev (>= 0.16.0),
         golang-golang.zx2c4-wireguard-dev (>= 0.0.20231211),
         golang-github-kardianos-minwinsvc-dev,
         golang-github-lucas-clemente-quic-go-dev (>= 0.45.1),
         golang-github-olekukonko-tablewriter-dev (>= 0.0.5),
         golang-nhooyr-websocket-dev (>= 1.8.11),
         ${misc:Depends}
Description: Fully encrypted global-scale mesh network (library)
 Yggdrasil is an early-stage implementation of a fully end-to-end encrypted
 IPv6 network. It is lightweight, self-arranging, supported on multiple
 platforms and allows pretty much any IPv6-capable application to
 communicate securely with other Yggdrasil nodes. Yggdrasil does not
 require you to have IPv6 Internet connectivity - it also works over IPv4.
 .
 This package contains the libary for use in other Go programs.

## yggdrasil 0.5.12

=== debian/changelog ===
yggdrasil (0.5.12-5) unstable; urgency=medium

  * Team upload.
  * Fix clean target. Closes: #1046091.
  * Switch to the standard debian/salsa-ci.yml.
  * Drop "Rules-Requires-Root: no" (default).
  * Drop "Priority: optional" (default).
  * Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Mon, 24 Nov 2025 17:20:00 +0100

yggdrasil (0.5.12-4) unstable; urgency=high

  * Fixed FTBFS by adapting to newer quic library.  Closes: #1114452.
  * Added updated translation files.  Closes: #1094963, #1098446, #1102082.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 24 Sep 2025 06:09:34 -0500

yggdrasil (0.5.12-3) unstable; urgency=medium

  * Team upload
  * Add patch with fixes for tablewriter API changes
  * Update required versions in Build-Depends and Depends

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 17 Aug 2025 15:19:37 +0000

yggdrasil (0.5.12-2) unstable; urgency=medium

  * Rebuild with newer quic.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 05 Apr 2025 12:39:24 -0500

yggdrasil (0.5.12-1) unstable; urgency=medium

  * New upstream release.  Fixes a crash-causing memory leak.
  * Update dependencies.
  * Patch around suah.dev/protect being missing

 -- John Goerzen <jgoerzen@complete.org>  Wed, 18 Dec 2024 19:40:27 -0600

yggdrasil (0.5.10-3) unstable; urgency=medium

  * Now that anet has been accepted into unstable, use it and drop the patch
    that removed the dependency on it.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 11 Dec 2024 20:01:48 -0600

yggdrasil (0.5.10-2) unstable; urgency=medium

  * Added sv.po from Anders Jonsson.  Closes: #1079464.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 28 Nov 2024 08:32:51 -0600

yggdrasil (0.5.10-1) unstable; urgency=medium

  * New upstream release
  * Patch to remove newly-introduced anet dependency
  * Update debian/control dependencies

 -- John Goerzen <jgoerzen@complete.org>  Tue, 26 Nov 2024 22:01:32 -0600

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,16 @@
 Uploaders: John Goerzen <jgoerzen@complete.org>
 Section: golang
 Testsuite: autopkgtest-pkg-go
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                po-debconf,
                dh-golang,
                golang-go (>= 2:1.21~0),
-               golang-github-arceliar-ironwood-dev (>= 0.0~git20240529.b8e5957),
+               golang-github-arceliar-ironwood-dev (>= 0.0~git20241213.743fe2f),
                golang-github-arceliar-phony-dev (>= 0.0~git20220903),
                golang-github-gologme-log-dev (>= 1.3.0),
                golang-github-hashicorp-go-syslog-dev (>= 1.0.0),
                golang-github-hjson-hjson-go-dev (>= 4.4.0),
-               golang-github-vishvananda-netlink-dev (>= 1.1.0),
+               golang-github-vishvananda-netlink-dev (>= 1.3.0),
                golang-golang-x-crypto-dev (>= 0.25.0),
                golang-golang-x-net-dev (>= 0.27.0),
                golang-golang-x-sys-dev (>= 0.21.0),
@@ -21,14 +20,14 @@
                golang-golang-x-text-dev (>= 0.16.0),
                golang-golang.zx2c4-wireguard-dev (>= 0.0.20231211),
                golang-github-kardianos-minwinsvc-dev,
-               golang-github-lucas-clemente-quic-go-dev (>= 0.45.1),
-               golang-github-olekukonko-tablewriter-dev (>= 0.0.5),
-               golang-nhooyr-websocket-dev (>= 1.8.11)
-Standards-Version: 4.6.0
+               golang-github-lucas-clemente-quic-go-dev (>= 0.50.1),
+               golang-github-olekukonko-tablewriter-dev (>= 1.0.9),
+               golang-nhooyr-websocket-dev (>= 1.8.12),
+               golang-github-wlynxg-anet-dev
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/yggdrasil
 Vcs-Git: https://salsa.debian.org/go-team/packages/yggdrasil.git
 Homepage: https://github.com/yggdrasil-network/yggdrasil-go
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/yggdrasil-network/yggdrasil-go
 
 Package: yggdrasil
@@ -48,12 +47,12 @@
 Package: golang-github-yggdrasil-network-yggdrasil-go-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: golang-github-arceliar-ironwood-dev (>= 0.0~git20231127.465b82d-2),
+Depends: golang-github-arceliar-ironwood-dev (>= 0.0~git20241213.743fe2f),
          golang-github-arceliar-phony-dev (>= 0.0~git20220903),
          golang-github-gologme-log-dev (>= 1.3.0),
          golang-github-hashicorp-go-syslog-dev (>= 1.0.0),
          golang-github-hjson-hjson-go-dev (>= 4.4.0),
-         golang-github-vishvananda-netlink-dev (>= 1.1.0),
+         golang-github-vishvananda-netlink-dev (>= 1.3.0),
          golang-golang-x-crypto-dev (>= 0.25.0),
          golang-golang-x-net-dev (>= 0.27.0),
          golang-golang-x-sys-dev (>= 0.21.0),
@@ -61,9 +60,10 @@
          golang-golang-x-text-dev (>= 0.16.0),
          golang-golang.zx2c4-wireguard-dev (>= 0.0.20231211),
          golang-github-kardianos-minwinsvc-dev,
-         golang-github-lucas-clemente-quic-go-dev (>= 0.45.1),
-         golang-github-olekukonko-tablewriter-dev (>= 0.0.5),
-         golang-nhooyr-websocket-dev (>= 1.8.11),
+         golang-github-lucas-clemente-quic-go-dev (>= 0.50.1),
+         golang-github-olekukonko-tablewriter-dev (>= 1.0.9),
+         golang-nhooyr-websocket-dev (>= 1.8.12),
+         golang-github-wlynxg-anet-dev,
          ${misc:Depends}
 Description: Fully encrypted global-scale mesh network (library)
  Yggdrasil is an early-stage implementation of a fully end-to-end encrypted

=== debian/rules ===
#!/usr/bin/make -f

# The next two lines are part of the support for yggdrasilctl getSelf.
# For details, see #1034737.
include /usr/share/dpkg/pkg-info.mk
LDFLAGS := -X github.com/yggdrasil-network/yggdrasil-go/src/version.buildName=yggdrasil -X github.com/yggdrasil-network/yggdrasil-go/src/version.buildVersion=$(DEB_VERSION_UPSTREAM)

DH_GOLANG_EXCLUDES:=ansible mobile
export DH_GOLANG_EXCLUDES

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

# The next two lines are part of the support for yggdrasilctl getSelf.
# For details, see #1034737.
override_dh_auto_build:
	dh_auto_build -- -ldflags "$(LDFLAGS)"

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-restart-on-upgrade --no-start

override_dh_auto_install:
	cp _build/bin/genkeys _build/bin/yggdrasil-genkeys
	dh_auto_install -- --no-binaries

clean:
	rm -rf _build
	dh_clean

.PHONY: clean
